> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get log histogram



## OpenAPI

````yaml /api/openapi.json get /api/indexes/{indexId}/logs/histogram
openapi: 3.1.0
info:
  description: HTTP API for the Rootprint log management platform.
  title: Rootprint API
  version: 0.4.0
servers:
  - description: Rootprint API
    url: https://example.com
security:
  - cookieAuth: []
paths:
  /api/indexes/{indexId}/logs/histogram:
    get:
      tags:
        - Log explorer
      summary: Get log histogram
      operationId: getApiIndexesByIndexIdLogsHistogram
      parameters:
        - in: query
          name: q
          schema:
            type: string
        - in: query
          name: startTs
          schema:
            type: number
        - in: query
          name: endTs
          schema:
            type: number
        - in: query
          name: interval
          required: true
          schema:
            pattern: ^[1-9]\d*[smhdwMy]$
            type: string
        - in: path
          name: indexId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HistogramResponse'
          description: Successful response
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
      security:
        - personalBearer: []
        - cookieAuth: []
components:
  schemas:
    HistogramResponse:
      properties:
        buckets:
          items:
            $ref: '#/components/schemas/HistogramBucketSchema'
          type: array
      required:
        - buckets
      type: object
    HistogramBucketSchema:
      properties:
        docCount:
          type: number
        key:
          type: number
        keyAsString:
          type: string
        levels:
          additionalProperties:
            type: number
          propertyNames:
            type: string
          type: object
      required:
        - key
        - keyAsString
        - docCount
        - levels
      type: object
    ApiErrorBody:
      properties:
        error:
          properties:
            code:
              type: string
            details:
              items:
                properties:
                  message:
                    type: string
                  path:
                    type: string
                required:
                  - path
                  - message
                type: object
              type: array
            message:
              type: string
            requestId:
              type: string
            statusCode:
              type: number
          required:
            - code
            - message
            - statusCode
            - requestId
          type: object
      required:
        - error
      type: object
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Request validation failed
    Unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Authentication required
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Permission denied
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Resource not found
    TooManyRequests:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Rate limit exceeded
    InternalError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Internal server error
    ServiceUnavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Upstream service unavailable
  securitySchemes:
    cookieAuth:
      in: cookie
      name: better-auth.session_token
      type: apiKey
    personalBearer:
      description: Query API key (personal or service account)
      scheme: bearer
      type: http

````